package mySort

import (
	"testing"
)

func TestBubbleSort(t *testing.T) {
	testTable := []struct {
		input    []int
		expected []int
	}{
		{
			input:    []int{5, 35, 12, 24, 21, 98, 6, 10},
			expected: []int{5, 6, 10, 12, 21, 24, 35, 98},
		},
		{
			input:    []int{9, 8, 7, 6, 5, 4, 3, 2, 1},
			expected: []int{1, 2, 3, 4, 5, 6, 7, 8, 9},
		},
	}

	for _, testCase := range testTable {
		BubbleSort(testCase.input)

		for inx, elem := range testCase.input {
			if elem != testCase.expected[inx] {
				t.Errorf("Bubble sort is not correct. Expect %d, got %d", testCase.expected, testCase.input)
				break
			}
		}
	}
}

func TestSelectSort(t *testing.T) {
	testTable := []struct {
		input    []int
		expected []int
	}{
		{
			input:    []int{5, 35, 12, 24, 21, 98, 6, 10},
			expected: []int{5, 6, 10, 12, 21, 24, 35, 98},
		},
		{
			input:    []int{9, 8, 7, 6, 5, 4, 3, 2, 1},
			expected: []int{1, 2, 3, 4, 5, 6, 7, 8, 9},
		},
	}

	for _, testCase := range testTable {
		SelectSort(testCase.input)

		for inx, elem := range testCase.input {
			if elem != testCase.expected[inx] {
				t.Errorf("Select sort is not correct. Expect %d, got %d", testCase.expected, testCase.input)
				break
			}
		}
	}

}
