package tempDir

import (
	"fmt"
	"io/ioutil"
	"path/filepath"
	"testing"
)

func FileLen(testFilePath string) int {
	fileContents, _ := ioutil.ReadFile(testFilePath)
	return len(fileContents)
}

func TestMyFunction(t *testing.T) {
	tempDir := t.TempDir()
	fmt.Printf("TempDir %s\n", tempDir)

	testFilePath := filepath.Join(tempDir, "testfile.txt")
	testFileContents := []byte("this is a test7")
	err := ioutil.WriteFile(testFilePath, testFileContents, 0644)
	if err != nil {
		t.Fatal(err)
	}

	result := FileLen(testFilePath)

	expectedSize := 14
	if result != expectedSize {
		t.Errorf("MyFunction(%q) returned %q, expected %q", testFilePath, result, expectedSize)
	}
}
